
From: Adrian Bunk <bunk@stusta.de>

This patch below makes some needlessly global code static.  Additionally, it
adds #ifdefs for code only used in the modular/nonmodular cases.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/sstfb.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

diff -puN drivers/video/sstfb.c~sstfbc-make-some-code-static drivers/video/sstfb.c
--- 25/drivers/video/sstfb.c~sstfbc-make-some-code-static	Fri Feb 11 16:08:35 2005
+++ 25-akpm/drivers/video/sstfb.c	Fri Feb 11 16:08:35 2005
@@ -1338,8 +1338,8 @@ static void  __devexit sst_shutdown(stru
 /*
  * Interface to the world
  */
-
-int  __init sstfb_setup(char *options)
+#ifndef MODULE
+static int  __init sstfb_setup(char *options)
 {
 	char *this_opt;
 
@@ -1372,6 +1372,7 @@ int  __init sstfb_setup(char *options)
 	}
 	return 0;
 }
+#endif
 
 static struct fb_ops sstfb_ops = {
 	.owner		= THIS_MODULE,
@@ -1565,7 +1566,7 @@ static struct pci_driver sstfb_driver = 
 };
 
 
-int __devinit sstfb_init(void)
+static int __devinit sstfb_init(void)
 {
 #ifndef MODULE
 	char *option = NULL;
@@ -1577,10 +1578,12 @@ int __devinit sstfb_init(void)
 	return pci_module_init(&sstfb_driver);
 }
 
-void __devexit sstfb_exit(void)
+#ifdef MODULE
+static void __devexit sstfb_exit(void)
 {
 	pci_unregister_driver(&sstfb_driver);
 }
+#endif
 
 
 /*
_
